---
title: "Gets a list of all invoiced assets including their invoice header data."
url: "https://developer.tesma.com/apis/tesma-platform-api-v1/versions/333907fb-f0a7-4e20-b01e-c9915c73321a/paths/v1-invoices-year--assets/get"
---

> Full API specification: https://developer.tesma.com/apis/tesma-platform-api-v1/versions/333907fb-f0a7-4e20-b01e-c9915c73321a.md

# Gets a list of all invoiced assets including their invoice header data.

`GET` `/v1/invoices/{year}/assets`

## Path parameters

- `year` (integer, int32, required) - The year in which the invoice for the assets has been created.

## Query parameters

- `loadOptions` (object, optional) - The data source load options.

## Header parameters

- `CorporateGroup-Name` (string, optional) - Corporate group key that assigns the currently selected corporate group to the request.

## Responses

- `200` - OK
- `400` - Bad Request
- `401` - Unauthorized
- `403` - Forbidden

## OpenAPI definition

```yaml
openapi: 3.1.1
info:
  title: tesma
  version: v1
servers:
  - url: https://api.tesma.com
paths:
  /v1/invoices/{year}/assets:
    get:
      parameters:
        - description: The year in which the invoice for the assets has been created.
          in: path
          name: year
          required: true
          schema:
            format: int32
            maximum: 2100
            minimum: 1900
            type: integer
        - description: The data source load options.
          in: query
          name: loadOptions
          schema:
            $ref: "#/components/schemas/TesmaLoadOptions"
        - description: Corporate group key that assigns the currently selected corporate
            group to the request.
          in: header
          name: CorporateGroup-Name
          schema:
            type: string
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/TesmaLoadResult_InvoiceAssetResponse"
          description: OK
        "400":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ValidationProblemDetails"
          description: Bad Request
        "401":
          description: Unauthorized
        "403":
          description: Forbidden
      summary: Gets a list of all invoiced assets including their invoice header data.
      tags:
        - InvoiceAssets
security:
  - PersonalAccessToken: []
components:
  schemas:
    TesmaLoadOptions:
      additionalProperties: false
      properties:
        filter:
          items: {}
          type:
            - "null"
            - array
        group:
          items:
            $ref: "#/components/schemas/GroupingInfo"
          type:
            - "null"
            - array
        groupSummary:
          items:
            $ref: "#/components/schemas/SummaryInfo"
          type:
            - "null"
            - array
        isCountQuery:
          type: boolean
        requireGroupCount:
          type: boolean
        requireTotalCount:
          type: boolean
        select:
          items:
            type: string
          type:
            - "null"
            - array
        skip:
          format: int32
          type: integer
        sort:
          items:
            $ref: "#/components/schemas/SortingInfo"
          type:
            - "null"
            - array
        take:
          format: int32
          type: integer
        totalSummary:
          items:
            $ref: "#/components/schemas/SummaryInfo"
          type:
            - "null"
            - array
      type: object
    TesmaLoadResult_InvoiceAssetResponse:
      additionalProperties: false
      properties:
        data:
          items:
            $ref: "#/components/schemas/InvoiceAssetResponse"
          type:
            - "null"
            - array
          x-is-public: true
        groupCount:
          default: -1
          format: int32
          type: integer
        summary:
          items: {}
          type:
            - "null"
            - array
        totalCount:
          default: -1
          format: int32
          type: integer
      type: object
    ValidationProblemDetails:
      additionalProperties: {}
      properties:
        detail:
          type:
            - "null"
            - string
        errors:
          additionalProperties:
            items:
              type: string
            type: array
          type:
            - "null"
            - object
        instance:
          type:
            - "null"
            - string
        status:
          format: int32
          type:
            - "null"
            - integer
        title:
          type:
            - "null"
            - string
        type:
          type:
            - "null"
            - string
      type: object
    GroupingInfo:
      additionalProperties: false
      properties:
        desc:
          type: boolean
        groupInterval:
          type:
            - "null"
            - string
        isExpanded:
          type:
            - "null"
            - boolean
        selector:
          type:
            - "null"
            - string
      type: object
    SummaryInfo:
      additionalProperties: false
      properties:
        selector:
          type:
            - "null"
            - string
        summaryType:
          type:
            - "null"
            - string
      type: object
    SortingInfo:
      additionalProperties: false
      properties:
        desc:
          type: boolean
        selector:
          type:
            - "null"
            - string
      type: object
    InvoiceAssetResponse:
      additionalProperties: false
      properties:
        addressNumber:
          format: int32
          type: integer
        assetId:
          format: int64
          type: integer
        assetLocation:
          type:
            - "null"
            - string
        assetLocationOfInstallation:
          type:
            - "null"
            - string
        assetOrderNumber:
          type:
            - "null"
            - string
        costCenter:
          type:
            - "null"
            - string
        currency:
          type:
            - "null"
            - string
        customerContext:
          $ref: "#/components/schemas/CustomerContextResponse"
        debtor:
          $ref: "#/components/schemas/DebtorResponse"
        description:
          type:
            - "null"
            - string
        invoiceCreationDate:
          format: date
          type:
            - "null"
            - string
        invoiceDate:
          format: date
          type:
            - "null"
            - string
        invoiceDueDate:
          format: date
          type:
            - "null"
            - string
        invoiceGrossAmount:
          format: double
          type:
            - "null"
            - number
        invoiceNetAmount:
          format: double
          type:
            - "null"
            - number
        invoiceNumber:
          format: int32
          type: integer
        invoiceOpenAmount:
          format: double
          type:
            - "null"
            - number
        invoicePaid:
          $ref: "#/components/schemas/InvoicePaidState"
        invoiceSupplyFromDate:
          format: date
          type:
            - "null"
            - string
        invoiceSupplyToDate:
          format: date
          type:
            - "null"
            - string
        invoiceTaxAmount:
          format: double
          type:
            - "null"
            - number
        invoiceTaxPercentage:
          format: double
          type:
            - "null"
            - number
        invoiceType:
          type:
            - "null"
            - string
        leaseLocationOfInstallation:
          type:
            - "null"
            - string
        leaseOrderNumber:
          type:
            - "null"
            - string
        leaseScheduleId:
          format: int32
          type: integer
        manufacturer:
          type:
            - "null"
            - string
        netAmount:
          format: double
          type:
            - "null"
            - number
        period:
          $ref: "#/components/schemas/InvoicePeriod"
        serialNumber:
          type:
            - "null"
            - string
      type: object
    CustomerContextResponse:
      additionalProperties: false
      properties:
        customerName:
          type:
            - "null"
            - string
        customerNumber:
          format: int32
          type: integer
        leaseCompany:
          format: int32
          type: integer
        leaseCompanyName:
          type:
            - "null"
            - string
      type: object
    DebtorResponse:
      additionalProperties: false
      properties:
        name:
          type:
            - "null"
            - string
        number:
          format: int32
          type:
            - "null"
            - integer
      type: object
    InvoicePaidState:
      enum:
        - unknown
        - unpaid
        - paid
      type: string
    InvoicePeriod:
      enum:
        - monthly
        - monthlyContinues
        - quarterly
        - quarterlyContinues
        - biannual
        - annual
        - irregular
        - unique
      type: string
  securitySchemes:
    PersonalAccessToken:
      description: Authentication using the Personal Access Token generated in tesma UI.
      in: header
      name: X-API-KEY
      type: apiKey
```
